org.apache.lucene.search.spell

## Interface TermFreqIterator

- All Superinterfaces:
    BytesRefIterator
  All Known Implementing Classes:
    BufferingTermFreqIteratorWrapper, SortedTermFreqIteratorWrapper, TermFreqIterator.TermFreqIteratorWrapper, UnsortedTermFreqIteratorWrapper

      public interface TermFreqIterator
      extends BytesRefIterator

  Interface for enumerating term,weight pairs.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `TermFreqIterator.TermFreqIteratorWrapper` Wraps a BytesRefIterator as a TermFreqIterator, with all weights set to `1`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.lucene.util.BytesRefIterator

      `EMPTY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `weight()` A term's weight, higher numbers mean better suggestions.

    - ### Methods inherited from interface org.apache.lucene.util.BytesRefIterator

      `getComparator, next`

- - ### Method Detail

    - #### weight

          long weight()

      A term's weight, higher numbers mean better suggestions.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.